{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="Vous recherchez une histoire similaire à la votre ? Consultez nos témoignages afin de trouver de l'aide ou simplement vous renseignez sur les histoires d'autres personnes atteintes de pectus Excavatum."/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="Les témoignages du Pectus Excavatum"/>
	<meta property="og:description" content="Vous recherchez une histoire similaire à la votre ? Consultez nos témoignages afin de trouver de l'aide ou simplement vous renseignez sur les histoires d'autres personnes atteintes de pectus Excavatum."/>
{% endblock %}

{% block title %}Témoignages
{% endblock %}

{% block body %}
	<div class="testimonials__breadcrumbs">
		{{ wo_render_breadcrumbs() }}
	</div>
	<h1 class="title title--1 center">Témoignages</h1>

	{% if not testimonials.items is same as([]) %}
		<h2 class="subtitle center">Découvrez les témoignages !</h2>

		<section class="container blog">
			<div class="testimonials__list">
				{% for testimonial in testimonials %}
					{% include 'components/card/_card.html.twig' with {
						'big' : false,
						'path': {
							'name': 'testimonial_show',
							'args': {slug: testimonial.slug}
						},
						'thumbnail': {
							'item': testimonial,
							'alt': testimonial.imageName
						},
						'title': testimonial.title,
						'publishedAt': testimonial.createdAt
					} %}
				{% endfor %}
			</div>

			{{ knp_pagination_render(testimonials) }}
		</section>
	{% else %}
		<h2 class="subtitle center">Aucun témoignage n'a été publié à ce jour.</h2>
	{% endif %}
{% endblock %}
